precision mediump float;
varying vec2 v_Tex;
uniform sampler2D u_Tex;
uniform float intensity;

void main(void) {

    float intensity = 2.0 * intensity - 1.0;
    vec4 col = texture2D(u_Tex, v_Tex);

    float average = (col.r + col.g + col.b) / 3.0;
    float mx = max(col.r, max(col.g, col.b));
    float amt = (mx - average) * (-intensity * 3.0);

    col.rgb = mix(col.rgb, vec3(mx), amt);

    gl_FragColor = col;

}
