uniform mat4 uMVPMatrix;
uniform mat4 uSTMatrix;
uniform lowp float uProgress;

attribute vec4 aPosition;
attribute vec4 aTextureCoord;

varying highp vec2 vTextureCoord;
void main() {
    highp vec4 position = uMVPMatrix * aPosition;
    gl_Position = vec4 (position.x, position.y, 0.0, 1.0);
    vec2 tex = (uSTMatrix * aTextureCoord).xy;
    vTextureCoord = vec2(tex.x - 0.7, tex.y);
}