uniform mat4 uMVPMatrix;
uniform mat4 uSTMatrix;

attribute vec4 aPosition;
attribute vec4 aTextureCoord;

varying highp vec2 vPosition;
varying highp vec2 vTextureCoord;
void main() {
    highp vec4 position = uMVPMatrix * aPosition;
    vPosition = vec2 (position.x, position.y);
    gl_Position = vec4 (vPosition, 0.0, 1.0);
    vTextureCoord = (uSTMatrix * aTextureCoord).xy;
}