precision mediump float;
varying vec2 v_Tex;
uniform sampler2D u_Tex;
uniform float intensity;

void main(void) {

    float t = 0.0;
    if(intensity < 0.5) {
        t = mix(1.0 / 2.2, 1.0, intensity / 0.5);
    } else {
        t = mix(1.0, 2.2, (intensity - 0.5) / 0.5);
    }
    vec4 color = texture2D(u_Tex, v_Tex);
    color.rgb = pow(color.rgb, vec3(t));
    gl_FragColor = color;

}
