precision highp float;

varying vec2 v_Tex;
uniform sampler2D u_Tex;
uniform float scale;
uniform float x;
uniform float y;

void main() {
    vec2 uv = v_Tex;
    vec2 pivot = vec2(x,y);
    uv = (1.0 / scale) * (uv - pivot) + pivot;

    gl_FragColor = texture2D(u_Tex, uv);
}
